Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.spatial
Interface BinarySpatialOperator

All Superinterfaces:
  Filter, SpatialOperator

All Known Subinterfaces:
  Beyond, Contains, Crosses, Disjoint, DistanceBufferOperator, DWithin, Equals, Intersects, Overlaps, Touches, Within

    @XmlElement(value="BinarySpatialOpType")
    public interface BinarySpatialOperator

extends SpatialOperator

Abstract superclass for filter operators that perform some sort of spatial comparison on two geometric objects.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary
`Expression` | `getExpression1()` Returns an expression that will be evaluated to determine the first operand to the spatial predicate represented by this operator.
`Expression` | `getExpression2()` Returns an expression that will be evaluated to determine the second operand to the spatial predicate represented by this operator.

Methods inherited from interface Filter
`accept, evaluate`

Method Detail

### getExpression1

    @XmlElement(value="expression")
    Expression getExpression1()

  Returns an expression that will be evaluated to determine the first operand to the spatial predicate represented by this operator. The result of evaluating this expression must be a geometry object.

### getExpression2

    @XmlElement(value="expression")
    Expression getExpression2()

  Returns an expression that will be evaluated to determine the second operand to the spatial predicate represented by this operator. The result of evaluating this expression must be a geometry object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.